Package io.strimzi.systemtest.security

## Class SystemTestCertManager

- java.lang.Object
- - io.strimzi.systemtest.security.SystemTestCertManager

-     public class SystemTestCertManager
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SystemTestCertManager()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CertAndKeyFiles` | `exportToPemFiles​(SystemTestCertAndKey... certs)` |
    `static SystemTestCertAndKey` | `generateEndEntityCertAndKey​(SystemTestCertAndKey intermediateCert)` |
    `static SystemTestCertAndKey` | `generateEndEntityCertAndKey​(SystemTestCertAndKey intermediateCert, String subjectDn)` |
    `static SystemTestCertAndKey` | `generateIntermediateCaCertAndKey​(SystemTestCertAndKey rootCert)` |
    `static String` | `generateOpenSslCommandByComponent​(String server, String hostname, String podName, String component)` |
    `static String` | `generateOpenSslCommandByComponent​(String server, String hostname, String podName, String component, boolean withCertAndKey)` |
    `static String` | `generateOpenSslCommandByComponent​(String podName, String hostname, String port, String component, String namespace)` |
    `static SystemTestCertAndKey` | `generateRootCaCertAndKey()` |
    `static SystemTestCertAndKey` | `generateStrimziCaCertAndKey​(SystemTestCertAndKey rootCert, String subjectDn)` |
    `static List<String>` | `getCertificateChain​(String certificateName)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemTestCertManager

          public SystemTestCertManager()

  - ### Method Detail

    - #### generateOpenSslCommandByComponent

          public static String generateOpenSslCommandByComponent​(String podName,
                                                                 String hostname,
                                                                 String port,
                                                                 String component,
                                                                 String namespace)

    - #### generateOpenSslCommandByComponent

          public static String generateOpenSslCommandByComponent​(String server,
                                                                 String hostname,
                                                                 String podName,
                                                                 String component)

    - #### generateOpenSslCommandByComponent

          public static String generateOpenSslCommandByComponent​(String server,
                                                                 String hostname,
                                                                 String podName,
                                                                 String component,
                                                                 boolean withCertAndKey)

    - #### getCertificateChain

          public static List<String> getCertificateChain​(String certificateName)

    - #### generateRootCaCertAndKey

          public static SystemTestCertAndKey generateRootCaCertAndKey()

    - #### generateIntermediateCaCertAndKey

          public static SystemTestCertAndKey generateIntermediateCaCertAndKey​(SystemTestCertAndKey rootCert)

    - #### generateStrimziCaCertAndKey

          public static SystemTestCertAndKey generateStrimziCaCertAndKey​(SystemTestCertAndKey rootCert,
                                                                         String subjectDn)

    - #### generateEndEntityCertAndKey

          public static SystemTestCertAndKey generateEndEntityCertAndKey​(SystemTestCertAndKey intermediateCert)

    - #### generateEndEntityCertAndKey

          public static SystemTestCertAndKey generateEndEntityCertAndKey​(SystemTestCertAndKey intermediateCert,
                                                                         String subjectDn)

    - #### exportToPemFiles

          public static CertAndKeyFiles exportToPemFiles​(SystemTestCertAndKey... certs)